# Filename: tri_add_face.py
# Purpose: Add a facet to a triangulation.
# Returns: Facet index as int.

from maptek import vulcan

existing_tri = 'headframe.00t'

with vulcan.triangulation(existing_tri, 'w') as tri:
    n = tri.add_node(77846.0, 4925.0, 103.5) # add node and get its index
    tri.add_face(0, 1, n)
 
